Subject: Re: [Bier] status of draft-ietf-bier-oam-requirements

From: Tony Przygienda <[email-masked]>
Date: Fri, 1 May 2020 09:42:30 -0700

<chair hat on>

So, please note well that after some discussion here, this constitutes the
official re-issue of last call for draft
https://datatracker.ietf.org/doc/draft-ietf-bier-oam-requirements/

The necessary output to continue with WGLC & IESG process is having
multiple people across multiple organizations explaining support with more
than just "+1" (ideally explaining the reason the work should be published
as BIER WG document) and obviously having read the draft.

The draft gained another editor.

As to authors, Carlos removes himself from the author's list. This and both
editors changing should be reflected in next published version, please.

Editors, please ping the shepherd for an according write-down as well with
her take on the draft which will present a valuable input to this last
call.

In case the last call does not gather enough support, the draft will move
to either "Dead WG Document" or "Adopted for WG Info Only" status which
will be discussed out then.

This LC expires on Fri, May 15th

thanks

-- tony

On Thu, Apr 16, 2020 at 1:43 PM Alvaro Retana <[email-masked]>
wrote:

> On April 16, 2020 at 3:17:38 PM, Greg Mirsky wrote:
>
>
> Greg:
>
> Hi!
>
> Answering only the parts about the document states.  The decision
> about the document itself is up to the WG.
>
>
> ...
> See rfc6174: Definition of IETF Working Group Document States
>
>
> > On the other hand, to the best of my understanding and please correct me
> if
> > I'm wrong here, the headstone saying "Dead WG Document" would not remove
> it
> > from the list of documents on BIER WG page and it can be easily accessed
> by
> > anyone interested to read.
>
> From §4.2.6:
>
>    A "Dead WG Document" is an I-D that has been abandoned.  Note that
>    'Dead' is not always a final state for a WG I-D.  If consensus is
>    subsequently achieved, a "Dead WG Document" may be resurrected.  A
>    "Dead WG Document" that is not resurrected will eventually expire.
>
> Given that all drafts are now archived regardless of the state, it
> will still be available.  I believe that a document will show up in
> the datatracker while not expired.
>
>
> > Also, would marking it as "Dead WG Document" affect the progress of
> > solution-proposing drafts that use draft-ietf-bier-oam-requirements as an
> > informational reference?
>
> Having a draft (any draft) as an Informative reference shouldn't be a
> showstopper for publication.
>
> However, if the reference is used to justify the need for a specific
> solution or to point at specific requirements, then someone could
> question the "abandoned" nature of the work, and whether the document
> reflects the consensus of the WG.
>
>
> > If there will be no negative impact, then I'd conclude with "it would be
> nice
> > to publish but the other way is okay too". I hope I didn't confuse you
> all.
>
> Not publishing a support document like this one is in line with the
> IESG statement about Support Documents in IETF Working Groups [1].  As
> the responsible AD, not publishing is perfectly fine with me.
>
>
> Following Tony's suggestion of WGLCing the document...  If the WG
> wants to be able to reference this draft in the future, the WGLC
> should explicitly consider that question (along with the others Tony
> mentioned).  The current version doesn't have to be the final version
> of the document and the WG is able (if there's interest) to keep
> working on it -- just like any other document.
>
> If the WG decides to keep the draft as reference material, a more
> appropriate status may be "Adopted for WG Info Only" or simply "WG
> Document".  From rfc6174:
>
> ===
> 4.2.3.  Adopted for WG Info Only
>
>    The "Adopted for WG Info Only" state describes a document that
>    contains useful information for the WG that adopted it, but the
>    document is not intended to be published as an RFC.  The WG will not
>    actively develop the contents of the I-D or progress it for
>    publication as an RFC.  The only purpose of the I-D is to provide
>    information for internal use by the WG.
>
> 4.2.4.  WG Document
>
>    The "WG Document" state describes an I-D that has been adopted by an
>    IETF WG and is being actively developed.
> ===
>
>
> Alvaro.
>
>
> [1] https://www.ietf.org/about/groups/iesg/statements/support-documents/
>

---

From: Greg Mirsky <[email-masked]>
Date: Fri, 1 May 2020 12:59:06 -0700

Dear Tony and Greg,
could you kindly check the updates in the attached copy of the draft or in
the diff, and let Santosh and I know if they are according to your
instructions.

Regards,
Greg

On Fri, May 1, 2020 at 9:43 AM Tony Przygienda <[email-masked]> wrote:

> As to authors, Carlos removes himself from the author's list. This and
> both editors changing should be reflected in next published version,
> please.
>
>> > On the other hand, to the best of my understanding and please correct
>> me if
>> > I'm wrong here, the headstone saying "Dead WG Document" would not
>> remove it
>> > from the list of documents on BIER WG page and it can be easily
>> accessed by
>> > If there will be no negative impact, then I'd conclude with "it would
>> be nice